#ifndef DEPENSEDIALOG_H
#define DEPENSEDIALOG_H

#include <QtGui>
#include <QtCore>
#include <QtSql>

#include "ui_depensedialog.h"


class depensedialog : public QWidget,public Ui::DepenseDialog
{
Q_OBJECT

public:
depensedialog(QWidget *parent=0);
QSqlTableModel *model;
QStringList depensesliste;
QStringList depensespourcentages;
int id;
int idusr;
//int iduser;
int id_usr;
int compte;
QString loginpref;
QString login;
QStringList listelogin;
protected :
void remplirdepensesini();
void altertable();

signals:

protected slots:
void enregistredepense();
void voirdepenses();
void effacer();
void rafraichir();
void valide();
void messagebox();
};

#endif
